<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2021 Workiva-->
<!--r:6700fed0-ac0e-46dd-8e23-b0e629567859,g:32bb0d75-9014-43ba-9a38-892c60a6dee5-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.associatedbank.com/role/CoverPageCoverPage" xlink:type="simple" xlink:href="asb-20210506.xsd#CoverPageCoverPage"/>
  <link:calculationLink xlink:role="http://www.associatedbank.com/role/CoverPageCoverPage" xlink:type="extended"/>
</link:linkbase>
